/* sqfigb.h -- Square-Figure (B version [binary, bitmap, plan b, ...])
** functions.
**
** Copyright (C) 2003 Eric Laroche.  All rights reserved.
**
** @author Eric Laroche <laroche@lrdev.com>
** @version @(#)$Id: sqfigb.h,v 1.2 2003/10/04 06:49:04 laroche Exp $
**
** @reference http://www.lrdev.com/lr/c/sqfig.html
**
** This program is free software;
** you can redistribute it and/or modify it.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
**
*/


#ifndef SQFIGB_H
#define SQFIGB_H


/** Generate the figures and call a call-back function for each one.
*/
void generateFigures(
	int size,
	void (*callback)(int const* bitmap, int ySize, int xSize, void* userData),
	void* userData);

/** Count the figures.
*/
void countFigures(int size, int* count, int* distinctCount);

/** Print a bitmap.
*/
void printBitmapCallback(int const* bitmap, int ySize, int xSize, void* userData);


#endif

